#!/bin/bash
#
#

# execute function
execute() {
  bash $1
  if [ $? -ne 0 ];
  then
    echo "[ERROR]: Bootstrap installation failed. Exiting !!!"
    exit 1
  fi
}

cd ./scripts

# Total steps
total_steps=4
current_step=1

echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 5m ----------->"

# install ceph
execute rook-ceph-openshift-installer.sh
current_step=$(( current_step + 1 ))

echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 5m ----------->"

execute istio-install.sh
current_step=$(( current_step + 1 ))

echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 10s ----------->"

# install ceph
execute aifabric-permissions-setup.sh
current_step=$(( current_step + 1 ))

echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 5m ----------->"
#install kotsadmin
execute kotsadm-install.sh
