KUBECTL_VERSION=$( kubectl version --client -o json | grep gitVersion )

if [ "${KUBECTL_VERSION}" != "" ];
then
    found=$(kubectl get cm aifabric-license-agreement | grep aifabric-license-agreement | cut -d' ' -f1)
    if [[ $found != "" ]];
    then
        echo "License agreement was already accepted during previous installation!"
        LICENSE_AGREEMENT=Y
    fi
fi

LICENSE_TERMS="Use of paid UiPath products and services is subject to the licensing agreement between you and UiPath. Unless otherwise indicated by UiPath, use of free UiPath products and services is subject to the associated licensing agreement available here: https://www.uipath.com/legal/terms-of-use (or successor website)"


if [[ "$LICENSE_AGREEMENT" == "Y" || "$LICENSE_AGREEMENT" == "y" ]];
then
    echo "License agreement was already accepted!"
else
    read -p "${LICENSE_TERMS} ; by entering “Y” you agree to the applicable licensing agreement. : " LICENSE_AGREEMENT
    if [[ "$LICENSE_AGREEMENT" == "Y" || "$LICENSE_AGREEMENT" == "y" ]];
    then
        echo "License agreement accepted!"
    else
        echo "License agreement was not accepted. Exiting..."
        exit 1
    fi
fi