#!/bin/bash
#
#

# execute function
execute() {
  bash $1
  if [ $? -ne 0 ];
  then
    echo "[ERROR]: Bootstrap installation failed. Exiting !!!"
    exit 1
  fi
}


. /etc/os-release
export OS_PLATFORM=ubuntu
if [ "${NAME}" == "Red Hat Enterprise Linux Server" ];
then
  export OS_PLATFORM=rhel
fi

echo $OS_PLATFORM

cd ../common

# Total steps
total_steps=3
current_step=1

echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 2s ----------->"
cd scripts
#kubectl installed or not
execute kubectl-install.sh
current_step=$(( current_step + 1 ))

echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 5m ----------->"

# install ceph
execute rook-ceph-installer.sh
current_step=$(( current_step + 1 ))

echo "<----------- Total steps: ${total_steps} Current step: ${current_step}  Estimated time: 5m ----------->"
#install kotsadmin
execute kotsadmin-ui-embedded-install.sh
cd ../..